Ownership Change
List video ownership changes
List ownership change requests received by the authenticated user and requests sent by a channel managed by the authenticated user
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstring-createdAtcreatedAtqueryResponse
successful operation
authentication required
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Accept ownership change request
Body
channelIdintegerrequiredTarget channel id owned by the authenticated user
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
ownership change request already accepted/refused or invalid target channel id
cannot terminate an ownership change of another user
video ownership change not found
quota exceeded for the target account/channel
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Refuse ownership change request
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
ownership change request already accepted/refused
cannot terminate an ownership change of another user
video ownership change not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Delete ownership change request
Delete an ownership change request. Only users who can manage the video can delete the request.
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
ownership request already accepted or refused
only users who can manage the video can delete an ownership change request
video ownership change not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
List ownership change requests for a video
List all ownership change requests for a specific video. The authenticated user must be able to manage the video.
Parameters
videoIdOrUUIDid | UUIDv4 | shortUUIDrequiredpathVideo id or UUID
Filter by ownership change state
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstring-createdAtcreatedAtqueryResponse
successful operation
cannot manage the video
video not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Request ownership change
Body
usernamestringrequiredParameters
videoIdOrUUIDid | UUIDv4 | shortUUIDrequiredpathVideo id or UUID
Response
successful operation
changing video ownership to a remote account is not supported yet or there is already a pending ownership request
cannot change ownership of this video
video not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
List channel ownership changes
List ownership change requests received by the authenticated user and requests sent by channels managed by the authenticated user
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstring-createdAtcreatedAtqueryResponse
successful operation
authentication required
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Accept channel ownership change request
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
ownership change request already accepted/refused or request type mismatch
cannot terminate an ownership change of another user
channel ownership change not found
cannot accept transferring the last channel of the initiator account
quota exceeded for the target account
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Refuse channel ownership change request
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
ownership change request already accepted/refused or request type mismatch
cannot terminate an ownership change of another user
channel ownership change not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Delete channel ownership change request
Delete a channel ownership change request. Only channel owners can delete the request.
Parameters
idid | UUIDv4 | shortUUIDrequiredpathThe object id, uuid or short uuid
Response
successful operation
ownership request already accepted/refused or request type mismatch
only channel owners can delete a channel ownership change request
channel ownership change not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
List ownership change requests for a channel
List all ownership change requests for a specific channel. The authenticated user must be able to manage the channel.
Parameters
channelHandlestringrequiredpathThe video channel handle
Filter by ownership change state
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstring-createdAtcreatedAtqueryResponse
successful operation
invalid parameters
cannot manage the channel
channel not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Request channel ownership change
Body
usernamestringrequiredParameters
channelHandlestringrequiredpathThe video channel handle
Response
successful operation
changing channel ownership to this target is invalid or there is already a pending ownership request
cannot change ownership of this channel
channel not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
